complexFFTData Class Reference

class complexFFTData controls and manipulates complex fft data More...

`#include <complexFFT.H>`

## Public Member Functions

| complexFFTData (int sz)
| Constructor with all memory to be allocated internally.
| ~complexFFTData (void)
| Deconstructor.
void | switchData (complexFFTData *d)
| Use this to change associated fft data (for fft'ing).
int | limitHalfPowerSpec (double lim)
| Limits the maximum to 'lim' and returns the last fft bin with max.
int | getSize ()
| Returns the number of elements in the input and output arrays.
int | compPowerSpec ()
| This function computes the power spectrum and returns the max bin.

## Public Attributes

int | size
| Specifies the size of the data array.
fftw_complex * | in
| the input and output arrays
fftw_complex * | out
fftw_real * | power_spectrum
| the power_spectrum array
double | totalPower
| The total power (summed) of the power spectrum as used in the method compPowerSpec.

## Detailed Description

class complexFFTData controls and manipulates complex fft data

Examples
  complexFFTExample.cc.

Definition at line 35 of file complexFFT.H.

## Member Function Documentation

## getSize()

int complexFFTData::getSize | ( |  | ) |

inline

Returns the number of elements in the input and output arrays.

Definition at line 58 of file complexFFT.H.

References size.

## Member Data Documentation

## in

fftw_complex* complexFFTData::in

the input and output arrays

Examples
  complexFFTExample.cc.

Definition at line 40 of file complexFFT.H.

## out

fftw_complex * complexFFTData::out

Definition at line 40 of file complexFFT.H.

## power_spectrum

fftw_real* complexFFTData::power_spectrum

the power_spectrum array

Examples
  complexFFTExample.cc.

Definition at line 42 of file complexFFT.H.

## size

int complexFFTData::size

Specifies the size of the data array.

Definition at line 38 of file complexFFT.H.

Referenced by getSize().

## totalPower

double complexFFTData::totalPower

The total power (summed) of the power spectrum as used in the method compPowerSpec.

Definition at line 44 of file complexFFT.H.

The documentation for this class was generated from the following file:

- complexFFT.H